summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/pburn
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/pburn')
-rw-r--r--app-cdr/pburn/Manifest1
-rw-r--r--app-cdr/pburn/metadata.xml5
-rw-r--r--app-cdr/pburn/pburn-3.4.3.ebuild54
3 files changed, 60 insertions, 0 deletions
diff --git a/app-cdr/pburn/Manifest b/app-cdr/pburn/Manifest
new file mode 100644
index 00000000000..91f5eabdd67
--- /dev/null
+++ b/app-cdr/pburn/Manifest
@@ -0,0 +1 @@
+DIST pburn-3.4.3.pet 66536 SHA256 d1a66bbffc66d38b7f75790fa39cd134e1aef070b2e140f52788bd2dfcdb303a SHA512 8bd67dfb9b3c08510ff9b675ec69929a0719871e2c9924fb4defe41147e2c7096b305776cca7f07fe7a28ec65133106636ee5804ca43ca2b5f6e1fe487eed99c WHIRLPOOL 8a10fc1039b7b0848af0dcda6a394815916218c31942f8c037f1b3ac0d272bea1fd556a4fe451ac2f569b45172b0af6d258826e2a072035a7b5322759803abe8
diff --git a/app-cdr/pburn/metadata.xml b/app-cdr/pburn/metadata.xml
new file mode 100644
index 00000000000..3ca6ae763b3
--- /dev/null
+++ b/app-cdr/pburn/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>media-optical</herd>
+</pkgmetadata>
diff --git a/app-cdr/pburn/pburn-3.4.3.ebuild b/app-cdr/pburn/pburn-3.4.3.ebuild
new file mode 100644
index 00000000000..285bbc18b24
--- /dev/null
+++ b/app-cdr/pburn/pburn-3.4.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# wget --user puppy --password linux "http://www.meownplanet.net/zigbert/${P}.pet"
+
+EAPI=4
+inherit eutils
+
+DESCRIPTION="A burning tool with GTK+ frontend"
+HOMEPAGE="http://murga-linux.com/puppy/viewtopic.php?t=23881"
+SRC_URI="mirror://gentoo/${P}.pet"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="app-admin/killproc
+ app-cdr/cddetect
+ app-cdr/dvd+rw-tools
+ sys-apps/hotplug2stdout
+ virtual/cdrtools
+ >=x11-misc/gtkdialog-0.8.0"
+DEPEND="app-arch/pet2tgz"
+
+src_unpack() {
+ pet2tgz -i "${DISTDIR}"/${P}.pet -o "${WORKDIR}"/${P}.tar.gz
+ unpack ./${P}.tar.gz
+}
+
+src_prepare() {
+ cat <<-EOF > "${T}"/${PN}
+ #!/bin/bash
+ "/usr/share/${PN}/${PN}" "\$@"
+ EOF
+
+ sed -i -e 's:usleep:/sbin/&:' usr/local/pburn/box_splash || die
+}
+
+src_install() {
+ dobin "${T}"/${PN}
+
+ dodir /usr/share
+ cp -dpR usr/local/${PN} "${D}"/usr/share || die
+
+ make_desktop_entry \
+ ${PN} \
+ "Pburn CD/DVD/Blu-ray writer" \
+ /usr/share/${PN}/${PN}20.png \
+ "AudioVideo;DiscBurning"
+
+ dohtml -r usr/share/doc/${PN}
+}